Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-8627

Improve clone.py script to be compatible also for python 3.2.X

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Duplicate
    • Affects Version/s: 5.5
    • Fix Version/s: Postponed
    • Component/s: Dev Tools
    • Environment:
      python 3.2.x, Nuxeo 5.5 source

      Description

      see http://answers.nuxeo.com/questions/1073/using-python-32x-on-windows-to-clone-git-repository

      Traceback (most recent call last): File "clone.py", line 144, in <module> assert_git_config() File "clone.py", line 137, in assert_git_config if "always" in t: TypeError: Type str doesn't support the buffer API

      whereas it works fine with Python 2.7.x.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - 2 hours
                  2h
                  Remaining:
                  Remaining Estimate - 2 hours
                  2h
                  Logged:
                  Time Spent - Not Specified
                  Not Specified

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.